Page MenuHomeFreeBSD

astro/wmsun: "Update" to 1.05 and return to official upstream repository (was: Change mastersite)
ClosedPublic

Authored by kai on Feb 9 2019, 6:08 PM.

Details

Summary

"Upgrade" the port to the latest version that is available in the official repository of upstream. The previous version was an unofficial fork and the upstream source has disappeared some time ago.

While I'm here:

  • Add license information
  • Sort variables a bit according to the PHB

Changelog:

https://github.com/window-maker/dockapps/blob/master/wmsun/ChangeLog

PR: 235526
Submitted by: Marco Beishuizen
Approved by: (one of the mentors)

Test Plan
  • poudriere (11.2-, 12.0-RELEASE, 13.0-CURRENT@r344874 amd64 + i386) -> OK
  • portlint -> OK
  • Runtime tests -> OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kai created this revision.Feb 9 2019, 6:08 PM
tcberner added inline comments.Feb 9 2019, 6:56 PM
astro/wmsun/pkg-descr
1 ↗(On Diff #53732)

^ how about this one: https://www.dockapps.net/wmsun ... slightly older versions though... or is this unrelated to this one?

The whole thing looks a bit abandonware-y...

kai added a comment.Feb 9 2019, 7:35 PM

The whole thing looks a bit abandonware-y...

astro/wmsun has a new home at https://github.com/window-maker/dockapps/tree/master/wmsun (which is also related in some way to https://www.dockapps.net/wmsun) but there's the latest version 1.05.

It might be possible that the current astro/wmsun is a fork that has ceased now. When comparing the ChangeLog files of the GitHub repo (https://github.com/window-maker/dockapps/blob/master/wmsun/ChangeLog) and in the currently used tarball there are some differences:

Github repo:

  • flawless continuation from 1.03 up to 1.05

Source tarball:

  • jumps from 1.03 to 1.10 with some remarks about the different upstream sources

AFAIK there would be two options:
a) Rename the port to astro/wmsun-fork (or similar) and deprecate it
b) switch to 1.05 from the GH repository and increase PORTEPOCH

What do you think about it?

In D19136#409263, @kai wrote:

The whole thing looks a bit abandonware-y...

astro/wmsun has a new home at https://github.com/window-maker/dockapps/tree/master/wmsun (which is also related in some way to https://www.dockapps.net/wmsun) but there's the latest version 1.05.
It might be possible that the current astro/wmsun is a fork that has ceased now. When comparing the ChangeLog files of the GitHub repo (https://github.com/window-maker/dockapps/blob/master/wmsun/ChangeLog) and in the currently used tarball there are some differences:
Github repo:

  • flawless continuation from 1.03 up to 1.05

Source tarball:

  • jumps from 1.03 to 1.10 with some remarks about the different upstream sources

AFAIK there would be two options:
a) Rename the port to astro/wmsun-fork (or similar) and deprecate it
b) switch to 1.05 from the GH repository and increase PORTEPOCH
What do you think about it?

I would prefer b), then it has a proper upstream and not some shadily versioned tar from a dead upstream :)

kai added a comment.Feb 11 2019, 1:13 PM

AFAIK there would be two options:
a) Rename the port to astro/wmsun-fork (or similar) and deprecate it
b) switch to 1.05 from the GH repository and increase PORTEPOCH
What do you think about it?

I would prefer b), then it has a proper upstream and not some shadily versioned tar from a dead upstream :)

Indeed and I was able to gather some more infos meanwhile:

The official version 1.05 requires an updated x11-wm/libdockapp (which is available in the official repository, too). But I did also some quick runtime test of the "new" astro/wmsun and the program crashes upon startup.

To keep it short: A bit more work is required to bring the port into the right shape.

kai edited the test plan for this revision. (Show Details)Feb 21 2019, 9:11 PM
kai updated this revision to Diff 55162.Mar 17 2019, 4:13 PM

Since x11-wm/libdockapp has been updated to 0.7.2 in rP495736 astro/wmsun can now be "upgraded" to 1.05. By this change the port will use the official upstream repository.

kai retitled this revision from astro/wmsun: Change mastersite to astro/wmsun: "Update" to 1.05 and return to official upstream repository (was: Change mastersite).Mar 17 2019, 4:23 PM
kai edited the summary of this revision. (Show Details)
kai edited the test plan for this revision. (Show Details)
This revision is now accepted and ready to land.Apr 13 2019, 7:40 AM
This revision was automatically updated to reflect the committed changes.